#pragma once
#include <vector>
#include <map>
#include <string>

namespace molasses {
	// We will always want symbols to be convertible to int for dictionary lookups
	using symbol = int;
	
	struct lexed_output {
		std::map<int, std::string> dictionary;
		std::vector<symbol> symbols;
	};
	
	lexed_output lex(const std::string &);
	lexed_output concatenate(const lexed_output& lhs, const lexed_output& rhs);
}